petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGMRESSetRestart

Sets number of iterations at which GMRES, FGMRES and LGMRES restarts.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetRestart(KSP ksp, PetscInt restart)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov space context
| restart | - integer restart value

### Options Database

-ksp_gmres_restart <positive integer> - Note: The default value is 30.

### See Also

KSPSetTolerances(), KSPGMRESSetOrthogonalization(), KSPGMRESSetPreAllocateVectors(), KSPGMRESGetRestart()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmres.c

### Examples

src/ksp/ksp/examples/tutorials/ex71.c.html

### Implementations

KSPGMRESSetRestart_FGMRES in src/ksp/ksp/impls/gmres/fgmres/fgmres.c
KSPGMRESSetRestart_GMRES in src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages